## org.eclipse.datatools.connectivity.ui.dse.dialogs.filters
Class ProfileCategoryFilter

    java.lang.Object
      org.eclipse.jface.viewers.ViewerFilter
          org.eclipse.datatools.connectivity.ui.dse.dialogs.filters.ProfileCategoryFilter

    public class ProfileCategoryFilter

extends org.eclipse.jface.viewers.ViewerFilter

Only show a particular category of profiles

Author:
  brianf

Constructor Summary
`ProfileCategoryFilter()`

Method Summary
`java.lang.String` `getSelectedCategory()` Get the currently set category ID string
`boolean` `select(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object parentElement, java.lang.Object element)` Only show particular category
`void` `setSelectedCategory(ICategory category)` Set the category and get the ID from it
`void` `setSelectedCategory(java.lang.String category)` Set the category ID string

Methods inherited from class org.eclipse.jface.viewers.ViewerFilter
`filter, filter, isFilterProperty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfileCategoryFilter

    public ProfileCategoryFilter()

Method Detail

### select

    public boolean select(org.eclipse.jface.viewers.Viewer viewer,
                          java.lang.Object parentElement,
                          java.lang.Object element)

  Only show particular category

  Specified by:
    `select` in class `org.eclipse.jface.viewers.ViewerFilter`

### setSelectedCategory

    public void setSelectedCategory(ICategory category)

  Set the category and get the ID from it

  Parameters:
    `category` -

### setSelectedCategory

    public void setSelectedCategory(java.lang.String category)

  Set the category ID string

  Parameters:
    `category` -

### getSelectedCategory

    public java.lang.String getSelectedCategory()

  Get the currently set category ID string

  Returns: